osl::eval::ml::CanCheckNonPawnPieceStandCombination Class Reference

`#include <pieceStand.h>`

## Public Types

enum | { ONE_DIM = 5625 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
template<Player Defense>
static bool | canCheck (const NumEffectState &state)

## Detailed Description

Definition at line 143 of file eval/pieceStand.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 146 of file eval/pieceStand.h.

## Member Function Documentation

## canCheck()

template<Player Defense>

bool osl::eval::ml::CanCheckNonPawnPieceStandCombination::canCheck | ( | const NumEffectState & | state | ) |

inline static

Definition at line 149 of file eval/pieceStand.h.

References osl::alt(), osl::eval::ml::KnightCheck::canCheck(), osl::checkmate::King8Info::dropCandidate(), osl::checkmate::King8Info::hasMoveCandidate(), and osl::NumEffectState::Iking8Info().

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::CanCheckNonPawnPieceStandCombination::setUp | ( | const Weights & | weights | ) |

static

Definition at line 133 of file eval_pieceStand.cc.

References osl::eval::ml::NonPawnPieceStandCombination::check_table, osl::eval::ml::NonPawnPieceStandCombination::index(), osl::NStages, ONE_DIM, osl::eval::ml::NonPawnPieceStandCombination::sumUp(), and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- eval/pieceStand.h
- eval_pieceStand.cc